# Interface methods for submodule: KernelFunctionBase
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import FunctionBaseProxy as _FunctionBaseProxy


# Interface methods for class: KernelFunctionBase
class KernelFunctionBaseProxy(_FunctionBaseProxy):
	def GetNameOfClass(self):
		""""""
		...

	def Evaluate(self, u: float) -> float:
		""""""
		...

